<?php
namespace Mobile\Controller;
use Think\Controller;
class ActivateController extends CoreController {
	/**
	 * [index 载入首页模板]
	 * @method   index
	 * @Author   Amen[233713821@qq.com]
	 * @DateTime 2016-05-23T16:22:55+0800
	 * @return   [type]                   [description]
	 */
	public function index(){
		$this->display();
	}

	/**
	 * [activate 激活页面]
	 * @method   activate
	 * @Author   Amen[233713821@qq.com]
	 * @DateTime 2016-05-23T15:09:25+0800
	 * @return   [type]                   [description]
	 */
	// public function activate(){
	// 	if(IS_POST){
	// 		// 查询用户是升初级还是高级
	// 		$nickname=I('nickname');
	// 		$truename=I('truename');
	// 		$jdpx=I('jdpx');
	// 		$key=I('key');
	// 		$f=M('admin')->where(array('nickname'=>$nickname,'truename'=>$truename))->find();
	// 		if(!$f)
	// 			$this->error('用户不存在！请检查');
	// 		if(!M('card')->where(array('card'=>$key))->find())
	// 			$this->error('卡密错误');
	// 		switch ($f['type']) {
	// 			case '0'://升级初级会员
	// 			$jiedai=M('admin')->where(array('nickname'=>$jdpx))->field('id,nickname,type,tuandui,xiaozu,job')->find();
	// 			if(!$jiedai||$jiedai['job']!=8)
	// 				$this->error('接待人不存在或你填写的昵称职务不是接待人！');
	// 			$jdwage=gzbz($jiedai['type'],$jiedai['job']);
	// 			savewage($jiedai['id'],$jdwage,$note='会员:'.$nickname.'初级会员激活，金币增加'.$jdwage.'，by System','jiedaijs');
	// 			$jdzuzhang=M('admin')->where(array('xiaozu'=>$jiedai['xiaozu'],'job'=>4))->field('id,type,job')->find();
	// 			if($jdzuzhang){
	// 				$jdzuzhangwage=gzbz($jdzuzhang['type'],$jdzuzhang['job']);
	// 				savewage($jdzuzhang['id'],$jdzuzhangwage,$note='会员:'.$nickname.'初级会员激活，金币增加'.$jdzuzhangwage.'，接待:'.$jiedai['nickname'].'，by System','jiedaijs');
	// 			}
	// 			// 获得宣传人信息及工资
	// 			$tuijian=M('admin')->where(array('nickname'=>$f['tuijian']))->find();
	// 			if($tuijian){
	// 				waixuanjs($tuijian['id']);
	// 				$wxwage=wxgzbz($tuijian['type'],waixuanjs($tuijian['id'],true));
	// 				savewage($tuijian['id'],$wxwage,$note='会员:'.$nickname.' 初级会员激活，金币增加'.$wxwage.'，by System');

	// 			}
	// 			//获得推荐队长信息及工资
	// 			$wxduizhang=M('admin')->where(array('xiaodui'=>$tuijian['xiaodui'],'job'=>6))->field('id,type,job')->find();
	// 			if($wxduizhang){
	// 				$wxduizhangwage=gzbz($wxduizhang['type'],$wxduizhang['job']);
	// 				savewage($wxduizhang['id'],$wxduizhangwage,$note='会员:'.$nickname.' 初级会员激活，金币增加'.$wxduizhangwage.'，推荐：'.$tuijian['nickname'].'，by System');
	// 			}
	// 			// 获得推荐组长信息及工资
	// 			$wxzuzhang=M('admin')->where(array('xiaozu'=>$tuijian['xiaozu'],'job'=>3))->field('id,type,job')->find();
	// 			if($wxzuzhang){
	// 				$wxzuzhangwage=gzbz($wxzuzhang['type'],$wxzuzhang['job']);
	// 				savewage($wxzuzhang['id'],$wxzuzhangwage,$note='会员:'.$nickname.' 初级会员激活，金币增加'.$wxzuzhangwage.'，推荐：'.$tuijian['nickname'].'，by System');
	// 				// p($wxzuzhangwage);
	// 				// p($wxzuzhang);
	// 				// die();
	// 			}
	// 			$tuanzhang=M('admin')->where(array('tuandui'=>$jiedai['tuandui'],'job'=>1))->field('id,type,job')->find();
	// 			if($tuanzhang){
	// 				$tuanzhangwage=gzbz($tuanzhang['type'],$tuanzhang['job']);
	// 				savewage($tuanzhang['id'],$tuanzhangwage,$note='会员:'.$nickname.' 初级会员激活，金币增加'.$tuanzhangwage.'，推荐：'.$tuijian['nickname'].'，接待:'.$jiedai['nickname'].',by System','jiedaijs');
	// 				// p($tuanzhang);
	// 				// p($tuanzhangwage);
	// 				// die();
	// 			}
	// 			$array=array('type'=>1,'jhtime'=>time(),'jiedai'=>$jdpx);
	// 			if(M('admin')->where(array('id'=>$f['id']))->save($array)){
	// 				M('card')->where(array('card'=>$key))->delete();
	// 				record("2");
	// 				$this->success('会员激活成功！');
	// 			}else{
	// 				$this->error(C('MSG'));
	// 			}
	// 			break;
	// 			case '1'://升级vip
	// 			$peixun=M('admin')->where(array('nickname'=>$jdpx))->field('id,nickname,type,tuandui,xiaozu,job')->find();
	// 			if(!$peixun||$peixun['job']!=9)
	// 				$this->error('培训人不存在或你填写的昵称职务不是培训人！');
	// 			// 获得培训人信息及工资
	// 			$peixunwage=gzbz($peixun['type'],$peixun['job']);
	// 			savewage($peixun['id'],$peixunwage,$note='会员:'.$nickname.' 升级vip，金币增加'.$peixunwage.'，by System','peixunjs');
	// 			// 获得培训主管信息及工资
	// 			$pxzuzhang=M('admin')->where(array('xiaozu'=>$peixun['xiaozu'],'job'=>5))->field('id,type,job')->find();
	// 			if($pxzuzhang){
	// 				$pxzuzhangwage=gzbz($pxzuzhang['type'],$pxzuzhang['job']);
	// 				savewage($pxzuzhang['id'],$pxzuzhangwage,$note='会员:'.$nickname.' 升级vip，金币增加'.$pxzuzhangwage.',培训人:'.$jdpx.'，by System','peixunjs');
	// 			}
	// 			// 获得团长信息及工资
	// 			$tuanzhang=M('admin')->where(array('tuandui'=>$peixun['tuandui'],'job'=>2))->field('id,type,job')->find();
	// 			if($tuanzhang){
	// 				$tuanzhangwage=gzbz($tuanzhang['type'],$tuanzhang['job']);
	// 				savewage($tuanzhang['id'],$tuanzhangwage,$note='会员:'.$nickname.' 升级vip，金币增加'.$tuanzhangwage.',培训人:'.$jdpx.'，by System','peixunjs');
	// 			}
	// 			$array=array('type'=>2,'sjtime'=>time(),'peixun'=>$jdpx);
	// 			if(M('admin')->where(array('id'=>$f['id']))->save($array)){
	// 				M('card')->where(array('card'=>$key))->delete();
	// 				record("3");
	// 				$this->success('会员升级成功！');
	// 			}else{
	// 				$this->error(C('MSG'));
	// 			}
	// 			break;
	// 			case '2':
	// 			$this->error('该用户已经是vip');
	// 			break;
	// 			default:
	// 			$this->error(C('MSG'));
	// 			break;
	// 		}
	// 	}else{$this->display();}

	// }


	/**
	 * [activate 激活页面]
	 * @method   activate
	 * @Author   Amen[233713821@qq.com]
	 * @DateTime 2016-05-23T15:09:25+0800
	 * @return   [type]                   [description]
	 */
	public function activate_new(){
		if(IS_POST){
			// 查询用户
			$nickname=I('nickname');
			$truename=I('truename');
			$jdpx=I('jdpx');
			$key=I('key');
			$f=M('admin')->where(array('nickname'=>$nickname,'truename'=>$truename))->find();

			if(!$f)
				$this->error('用户不存在！请检查');
			//查询卡密的类型
			$pt=M('card_pt')->where(array('card'=>$key))->find();
			$jp=M('card_jp')->where(array('card'=>$key))->find();


			if($pt){
				if($pt['shiyong']!=0)
					$this->error('此卡密已被使用!');

				switch ($f['type']) {
				case '0'://升级初级会员
				$jiedai=M('admin')->where(array('nickname'=>$jdpx))->field('id,nickname,type,tuandui,xiaozu,job')->find();
				
				if(!$jiedai||$jiedai['job']!=8)
					$this->error('接待人不存在或你填写的昵称职务不是接待人！');
				$jdwage=gzbz($jiedai['type'],$jiedai['job']);	
				savewage($jiedai['id'],$jdwage,$note='会员:'.$nickname.'初级会员激活，金币增加'.$jdwage.'，by  '.$jiedai['nickname'],'jiedaijs');
				// amen_day_js($jiedai['id'],'jiedaijs');
				$jdzuzhang=M('admin')->where(array('xiaozu'=>$jiedai['xiaozu'],'job'=>4))->field('id,type,job')->find();
				
				if($jdzuzhang){
					$jdzuzhangwage=gzbz($jdzuzhang['type'],$jdzuzhang['job']);
					savewage($jdzuzhang['id'],$jdzuzhangwage,$note='会员:'.$nickname.'初级会员激活，金币增加'.$jdzuzhangwage.'，接待:'.$jiedai['nickname'].'，by System');
					// amen_day_js($jdzuzhang['id'],'jiedaijs');

				}
				// 获得宣传人信息及工资
				$tuijian=M('admin')->where(array('nickname'=>$f['tuijian']))->find();

				if($tuijian){
					$wxwage=wxgzbz($tuijian['type'],amen_day_js($tuijian['id'],'waixuanjs',true));
					
					savewage($tuijian['id'],$wxwage,$note='会员:'.$nickname.' 初级会员激活，金币增加'.$wxwage.'，by System');
					amen_day_js($tuijian['id'],'waixuanjs');

				}
				//获得推荐队长信息及工资
				$wxduizhang=M('admin')->where(array('xiaodui'=>$tuijian['xiaodui'],'job'=>6))->field('id,type,job')->find();
				
				if($wxduizhang){
					$wxduizhangwage=gzbz($wxduizhang['type'],$wxduizhang['job']);
					savewage($wxduizhang['id'],$wxduizhangwage,$note='会员:'.$nickname.' 初级会员激活，金币增加'.$wxduizhangwage.'，推荐：'.$tuijian['nickname'].'，by System');
					// amen_day_js($wxduizhang['id'],'waixuanjs');
				}
				// 获得推荐组长信息及工资
				$wxzuzhang=M('admin')->where(array('xiaozu'=>$tuijian['xiaozu'],'job'=>3))->field('id,type,job')->find();
				
				if($wxzuzhang){
					$wxzuzhangwage=gzbz($wxzuzhang['type'],$wxzuzhang['job']);
					savewage($wxzuzhang['id'],$wxzuzhangwage,$note='会员:'.$nickname.' 初级会员激活，金币增加'.$wxzuzhangwage.'，推荐：'.$tuijian['nickname'].'，by System');
					// amen_day_js($wxzuzhang['id'],'waixuanjs');
				}
				$tuanzhang=M('admin')->where(array('tuandui'=>$jiedai['tuandui'],'job'=>1))->field('id,type,job')->find();
				
				if($tuanzhang){
					$tuanzhangwage=gzbz($tuanzhang['type'],$tuanzhang['job']);
					savewage($tuanzhang['id'],$tuanzhangwage,$note='会员:'.$nickname.' 初级会员激活，金币增加'.$tuanzhangwage.'，推荐：'.$tuijian['nickname'].'，接待:'.$jiedai['nickname'].',by System');
					// amen_day_js($tuanzhang['id'],'waixuanjs');
					// amen_day_js($tuanzhang['id'],'jiedaijs');
				}
				$array=array('type'=>1,'jhtime'=>time(),'jiedai'=>$jdpx);
				if(M('admin')->where(array('id'=>$f['id']))->save($array)){
					$data['shiyong']=1;
					$data['syr']=$nickname;
					$data['jiedai']=$jdpx;
					M('card_pt')->where(array('card'=>$key))->save($data);
					record("2");
					$this->success('会员激活成功！');
				}else{
					$this->error(C('MSG'));
				}
				break;
				case '1'://升级vip
				$peixun=M('admin')->where(array('nickname'=>$jdpx))->field('id,nickname,type,tuandui,xiaozu,job')->find();
				if(!$peixun||$peixun['job']!=9)
					$this->error('培训人不存在或你填写的昵称职务不是培训人！');
				// 获得培训人信息及工资
				$peixunwage=gzbz($peixun['type'],$peixun['job']);
				p($peixunwage);die();
				savewage($peixun['id'],$peixunwage,$note='会员:'.$nickname.' 升级vip，金币增加'.$peixunwage.'，by System','peixunjs');
				// amen_day_js($peixun['id'],'peixunjs');
				// 获得培训主管信息及工资
				$pxzuzhang=M('admin')->where(array('xiaozu'=>$peixun['xiaozu'],'job'=>5))->field('id,type,job')->find();
				if($pxzuzhang){
					$pxzuzhangwage=gzbz($pxzuzhang['type'],$pxzuzhang['job']);
					savewage($pxzuzhang['id'],$pxzuzhangwage,$note='会员:'.$nickname.' 升级vip，金币增加'.$pxzuzhangwage.',培训人:'.$jdpx.'，by System');
					// amen_day_js($pxzuzhang['id'],'peixunjs');
				}
				// 获得团长信息及工资
				$tuanzhang=M('admin')->where(array('tuandui'=>$peixun['tuandui'],'job'=>2))->field('id,type,job')->find();
				if($tuanzhang){
					$tuanzhangwage=gzbz($tuanzhang['type'],$tuanzhang['job']);
					savewage($tuanzhang['id'],$tuanzhangwage,$note='会员:'.$nickname.' 升级vip，金币增加'.$tuanzhangwage.',培训人:'.$jdpx.'，by System');
					// amen_day_js($tuanzhang['id'],'peixunjs');
				}

					//业务员得到5元奖励
					$tuijian = 	M('admin')->field('id,nickname,gold')->where(array('nickname'=>$f['tuijian']))->find();
					if($tuijian){
						M('admin')->where(array('id'=>$tuijian['id']))->setInc('gold',5);
						$note_tuijian = "会员： $f[nickname] 升级vip得到 5元 奖励";
						// 更新日志
						M('admin_goldlogs')->add(array('uid'=>$tuijian['id'],'type'=>1,'note'=>$note_tuijian,'time'=>time()));

					}


				$array=array('type'=>2,'sjtime'=>time(),'peixun'=>$jdpx);
				if(M('admin')->where(array('id'=>$f['id']))->save($array)){
					$data['shiyong']=1;
					$data['syr']=$nickname;
					$data['peixun']=$jdpx;
					M('card_pt')->where(array('card'=>$key))->save($data);
					record("3");
					$this->success('会员升级成功！');
				}else{
					$this->error(C('MSG'));
				}
				break;
				case '2':
				$this->error('该用户已经是vip');
				break;
				default:
				$this->error(C('MSG'));
				break;
			}
		}elseif($jp){
			if($jp['shiyong']!=0)
				$this->error('此卡密已被使用!');
			if($f['type']!=0)
				$this->error('此卡密只能适用于急聘激活');
			$jipin=M('admin')->where(array('nickname'=>$jdpx))->field('id,nickname,type,tuandui,xiaozu,job')->find();
			if(!$jipin||$jipin['job']!=12)
				$this->error('急聘不存在或你填写的昵称职务不是急聘！');
			$jpwage=gzbz($jipin['type'],12);
			savewage($jipin['id'],$jpwage,$note='会员:'.$nickname.'初级会员激活，金币增加'.$jpwage.'，by System','jiedaijs');
			// amen_day_js($jipin['id'],'jiedaijs');
			// 获得宣传人
			$tuijian=M('admin')->where(array('nickname'=>$f['tuijian']))->find();
			if($tuijian){
				$note='会员:'.$nickname.' 初级会员激活，金币增加0，急聘:'.$jipin['nickname'].'by System';
				M('admin_goldlogs')->add(array('uid'=>$tuijian['id'],'type'=>2,'note'=>$note,'time'=>time()));
			}
			$jdzuzhang=M('admin')->where(array('xiaozu'=>$jipin['xiaozu'],'job'=>11))->field('id,type,job')->find();
			if($jdzuzhang){
				$jdzuzhangwage=gzbz($jdzuzhang['type'],11);
				savewage($jdzuzhang['id'],$jdzuzhangwage,$note='会员:'.$nickname.'初级会员激活，金币增加'.$jdzuzhangwage.'，急聘:'.$jipin['nickname'].'，by System');
				// amen_day_js($jdzuzhang['id'],'jiedaijs');
			}
			$tuanzhang=M('admin')->where(array('tuandui'=>$jipin['tuandui'],'job'=>10))->field('id,type,job')->find();
			if($tuanzhang){
				$tuanzhangwage=gzbz($tuanzhang['type'],10);
				savewage($tuanzhang['id'],$tuanzhangwage,$note='会员:'.$nickname.' 初级会员激活，金币增加'.$tuanzhangwage.'，推荐：'.$tuijian['nickname'].'，急聘:'.$jipin['nickname'].',by System');
				// amen_day_js($tuanzhang['id'],'jiedaijs');
			}
			$array=array('type'=>1,'jhtime'=>time(),'jiedai'=>$jdpx);
			if(M('admin')->where(array('id'=>$f['id']))->save($array)){
				$data['shiyong']=1;
				$data['syr']=$nickname;
				$data['waixuan']=$tuijian['nickname'];
				$data['jiedai']=$jdpx;
				M('card_jp')->where(array('card'=>$key))->save($data);
				record("4");
				$this->success('会员激活成功！');
			}else{
				$this->error(C('MSG'));
			}
		}else{
			$this->error('卡密不存在!');
		}
	}else{
		if(I('get.uid')){
				$f=M('admin')->where(array('id'=>I('uid')))->field('nickname,truename')->find();
				if($f){
					$this->nickname=$f['nickname'];
					$this->truename=$f['truename'];
				}
			}
			if(I('get.aid')){
				$f=M('admin')->where(array('id'=>I('aid')))->field('nickname,job')->find();
				if($f['job']==8||$f['job']==9){
					$this->shcz=$f['nickname'];
				}
			}
		$this->display('activate_new');
	}

}

}